Index: trunk/wikifiles/plastic-slices/rspecs/plastic-103/openflow-stanford-plastic-103.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-103/openflow-stanford-plastic-103.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-103/openflow-stanford-plastic-103.rspec	(revision 1201)
@@ -1,60 +1,71 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Stanford used by the
-plastic-103 slice.
+This rspec will reserve the OpenFlow resources at Stanford
+used by the plastic-103 slice.
 
-AM: https://endpoint.stanford.edu:1443/openflow/gapi/
+AM: https://openflow4.stanford.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 103 at Stanford."
+                   email="jbs@bbn.com">
 
-  <project name="plastic-103@stanford" description="Plastic Slices slice 103 at Stanford"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33103" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33103" name="naxos-33103" description="The FlowVisor on naxos, for plastic-103." expiry="1313380800"/>
+    <openflow:group name="stanford-plnodes-901">
 
-  <flowspace>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+datapath+03:85:00:23:47:4e:2e:c0"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+authority+am">  <!-- hpsw4-901 -->
+        <openflow:port num="4"/>  <!-- of-planet1 -->
+        <openflow:port num="8"/>  <!-- to necsw2 -->
+      </openflow:datapath>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:31:f5+port:1"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:31:f5+port:11"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+datapath+00:00:00:12:e2:78:67:65"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+authority+am">  <!-- necsw-901 -->
+        <openflow:port num="1"/>  <!-- to necsw2 -->
+        <openflow:port num="2"/>  <!-- to necsw7 -->
+        <openflow:port num="4"/>  <!-- of-planet2 -->
+      </openflow:datapath>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:1"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:2"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:4"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:6"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+datapath+00:00:00:12:e2:b8:f3:d0"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+authority+am">  <!-- necsw7-901 -->
+        <openflow:port num="3"/>   <!-- to necsw -->
+        <openflow:port num="27"/>  <!-- of-planet3 -->
+        <openflow:port num="28"/>  <!-- of-planet4 -->
+      </openflow:datapath>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:3"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:27"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:28"/>
+    </openflow:group>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:03:85:00:23:47:4e:2e:c0+port:4"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:03:85:00:23:47:4e:2e:c0+port:5"/>
+    <openflow:group name="stanford-901-nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+datapath+00:00:00:12:e2:78:31:f5"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+authority+am">  <!-- necsw2-901 -->
+        <openflow:port num="1"/>   <!-- to necsw -->
+        <openflow:port num="2"/>   <!-- to hpsw4 -->
+        <openflow:port num="11"/>  <!-- to NLR 3715 -->
+      </openflow:datapath>
+    </openflow:group>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.103.0" to="10.42.103.255"/>
+    <openflow:match>
 
-  </flowspace>
+      <openflow:use-group name="stanford-plnodes-901" />
+      <openflow:use-group name="stanford-901-nlr-3715" />
 
-  <flowspace>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.103.0/24"/>
+        <openflow:nw_src value="10.42.103.0/24"/>
+      </openflow:packet>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:31:f5+port:1"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:31:f5+port:11"/>
+    </openflow:match>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:1"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:2"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:4"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:6"/>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:3"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:27"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:28"/>
-
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:03:85:00:23:47:4e:2e:c0+port:4"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:03:85:00:23:47:4e:2e:c0+port:5"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.103.0" to="10.42.103.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
